<?php
namespace Ep\Woo\Form\Element;

use Laminas\Form\Fieldset;

/**
 * Odabir atributa varijacije.
 *
 * @package Ep\Woo\Form\Element
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class AttributeList extends Fieldset
{
    /** @var \WC_Product_Variable */
    protected $product;

    /**
     * @param \WC_Product_Variable $product
     */
    public function setProduct(\WC_Product_Variable $product): void
    {
        $this->product = $product;
        $this->elements = [];
        $attributes = $product->get_variation_attributes();

        foreach ($attributes as $name => $values) {
            $valueOptions = [];

            foreach ($values as $value) {
                $valueOptions[$value] = $value;
            }

            $elementName = wc_variation_attribute_name($name);

            $this->add([
                'type' => 'woo.element.attribute',
                'name' => $elementName,
                'options' => [
                    'label' => wc_attribute_label($name),
                    'value_options' => $valueOptions,
                ],
                'attributes' => [
                    'data-attribute_name' => $elementName,
                ],
            ]);
        }
    }
}
