<?php
namespace Ep\Woo\Form\Element;

use Laminas\Form\Element;
use Laminas\Form\Element\Button;
use Laminas\Form\ElementInterface;

/**
 * Class PopupButton
 *
 * @package Ep\Woo\Form\Element
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class ProductEnquiry extends Button
{
    /**
     * Inicijalizacija.
     */
    public function init()
    {
        parent::init();

        $this->setLabel(__('Upit o proizvodu', 'ep-woocommerce'));
        $this->setAttribute('class', 'product-enquiry btn btn-alt');
    }

    /**
     * Set a single element attribute
     *
     * @param  string $key
     * @param  mixed  $value
     * @return Element|ElementInterface
     */
    public function setAttribute($key, $value)
    {
        if ('class' === $key) {
            $value = ($this->attributes[$key] ?? '') . ' ' . $value;
        }

        return parent::setAttribute($key, $value);
    }
}
