<?php
namespace Ep\Woo\Plugin\Account;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;
use Laminas\ServiceManager\PluginManagerInterface;

/**
 * Stvara novu instancu ReCaptcha plugina.
 *
 * @package Ep\Woo\Plugin\Account
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class ReCaptchaFactory implements FactoryInterface
{
    /**
     * Create an object
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return object
     *
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        /** @var PluginManagerInterface $validators */
        $validators = $container->get('ValidatorManager');
        $validator = $validators->get('recaptcha');

        return new ReCaptcha($validator);
    }
}
