<?php
namespace Ep\Woo\Plugin\Cart;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Kreira novu instancu CartEvents plugina.
 *
 * @package Ep\Woo\Plugin\Cart
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link http://gitlab.ep.local/ep-framework/woocommerce
 */
final class CartEventsFactory implements FactoryInterface
{
    /**
     * Kreira instancu.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     * @return object
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $events = $container->get('EventManager');
        return new CartEvents($events);
    }
}
