<?php
namespace Ep\Woo\Plugin\Payment;

use Ak\Wp\Plugin\PluginInterface;

/**
 * Sakriva određene metode naplate ovisno o kriterijima
 *
 * - Ako košarica sadrži gume, sakrivamo plaćanje gotovinom
 *
 * @package Ep\Woo\Plugin\Payment
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link http://gitlab.ep.local/ep-framework
 */
final class HideMethods implements PluginInterface
{
    /**
     * Dodaje akcije i filtere u WordPress.
     */
    public function attach(): void
    {
        add_filter('woocommerce_available_payment_gateways', [$this, 'wc_hide_methods']);
    }

    public function wc_hide_methods(array $methods)
    {
        if (isset($methods['cod'])) {
            $cart = WC()->cart;
            $product_types = array_filter(array_map(function($item) use ($cart) {
                $product = wc_get_product($item['product_id']);
                return is_object($product) ? $product->get_type() : null;
            }, $cart->get_cart()));

            if (in_array('tire', $product_types)) {
                unset($methods['cod']);
            }
        }

        return $methods;
    }
}