<?php
namespace Ep\Woo\Plugin;

use Ak\Wp\Plugin\PluginInterface;

/**
 * Prijevodi
 *
 * @package Ep\Woo\Plugin
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class Translations implements PluginInterface
{
    /**
     * Dodaje akcije i filtere u WordPress.
     */
    public function attach(): void
    {
        add_action('init', [$this, 'init']);
    }

    public function init()
    {
        $locale = get_locale();

        if (preg_match('/^de_/', $locale)) {
            $locale = 'de';
        }

        $mofile = __DIR__ . '/../../i18n/' . $locale . '.mo';

        if (file_exists($mofile)) {
            load_textdomain('ep-woocommerce', $mofile);
        }
    }
}