<?php
namespace Ep\Woo\Product;

/**
 * Varijabilni proizvod.
 *
 * @package Ep\Woo\Product
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class Variable extends \WC_Product_Variable implements ProductInterface
{
    use ProductTrait;

    /**
     * Set gallery attachment ids.
     *
     * @since 3.0.0
     * @param array $image_ids List of image ids.
     */
    public function set_gallery_image_ids($image_ids)
    {
        $this->set_prop('gallery_image_ids', $image_ids);
    }
    
    public function get_stock_quantity($context = 'view')
    {
        $quantity = 0;

        foreach ($this->get_children() as $child_id) {
            $child = wc_get_product($child_id);
            $quantity += $child->get_stock_quantity();
        }

        return $quantity;
    }
}
