<?php
namespace Ep\Woo\View;

/**
 * Class ContentCategory
 *
 * @package Ep\Woo\View
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class ContentCategory extends AbstractView
{
    /** @var array */
    protected $templateOverrides = [
        'content-product_cat.php',
    ];

    /**
     * Renderira view.
     *
     * @return string
     */
    public function render(): string
    {
        $args = func_get_args();
        $category = $args[3]['category'] ?? false;

        if (!$category instanceof \WP_Term) {
            return '';
        }

        $image = false;

        if ($image_id = get_term_meta($category->term_id, 'thumbnail_id', true)) {
            $image = wp_get_attachment_image_src($image_id);
        }

        return $this->renderer->render('@woo/content-product_cat.html.twig', [
            'category' => $category,
            'image' => $image[0] ?? false,
            'url' => get_term_link($category),
        ]);
    }
}