<?php
namespace Ep\Woo\View;

use Twig_Extension;
use Twig_Function;

/**
 * Class TwigExtension
 *
 * @package Ep\Woo\View
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class TwigExtension extends Twig_Extension
{
    /** @var array */
    private $proxy = [
        'wc_get_template',
        'wc_get_template_part',
        'wc_notices' => 'wc_print_notices',
    ];

    /** @var array */
    private $functions;

    /**
     * Vraća Twig funkcije.
     *
     * @return array
     */
    public function getFunctions()
    {
        if (null === $this->functions) {
            $this->functions = [];

            foreach ($this->proxy as $orig => $name) {
                if (is_int($orig)) {
                    $orig = $name;
                }

                $this->functions[] = new Twig_Function($orig, $name);
            }
        }

        return $this->functions;
    }
}