<?php
namespace EpTest\Woo\Plugin\Product;

use Ak\Test\AbstractTestCase;
use Ak\Wp\Plugin\PluginManager;
use Ep\Woo\Plugin\Product\ProductCarousel;
use EpTest\Woo\TestConfigProvider;
use Laminas\ServiceManager\PluginManagerInterface;

/**
 * Class ProductCarouselTest
 *
 * @package EpTest\Woo\Plugin\Product
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-core
 */
final class ProductCarouselTest extends AbstractTestCase
{
    public $configProviders = [
        TestConfigProvider::class,
    ];

    public function testPluginIsRegistered()
    {
        $container = $this->getContainer();
        /** @var PluginManagerInterface $plugins */
        $plugins = $container->get(PluginManager::class);

        $this->assertContainerHasService($plugins, [
            ProductCarousel::class,
            'woo.products.productcarousel',
        ], ProductCarousel::class, true);
    }
}
